Update product sorting in the smart collection
PUT https://{handle}.myshopline.com/admin/openapi/v20260901/products/smart_collections/:collection_id/order.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .Update the sorting method for a specified smart collection to adjust the display order of products within the collection.
Path Parameters
- collection_id string requiredThe unique identifier for the collection.
Maximum length:64Example:12257170618007271602093384
Request Headers
- Content-Type string requiredThe field must be set to the fixed value
application/json; charset=utf-8. - Authorization string requiredThe access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.Example:
Bearer eyJhbGciOiJIUzUxMiJ9.eyJhcHBLZXkiOiJmMjM3OWQyMTYyOGMzM2QxMWRiMWZkYjY5N2EzZjdjMjZlNGMwYTA5Iiwic2VsbGVySWQiOiIyMDAwMjM0ODgwIiwic3RvcmVJZCI6IjE2NzIzNjk3Mjk2MDYiLCJ2ZXJzaW9uIjoiVjIiLCJkb21haW4iOiJodHRwczovL3NsLW9wZW4tc2cubXlzaG9wbGluZS5jb20iLCJ0aW1lc3RhbXAiOjE2NzUzMTk0OTI0MzksImlzcyI6Inlzb3VsIiwiZXhwIjoxNzY5OTI3NDkyfQ.UwQzomM2veGCUaOZ0paUxq5dpc7DXuhHYFvsQ_uIAKduzWcb_j2E4q_36El83sp145D4cKbpcE5KCeeIz-JNQw
Request Body
- product_ids arrayThe product IDs to be sorted in a specified order. This field is only valid when
sort_orderismanual, and is used to overwrite and update the pinned products. Passing an empty list will unpin all currently pinned products in the collection.
Maximum size: 5000Example:["16064649853088531841170520"] - sort_order stringSpecify the sorting method of products in the smart collection.
alpha-asc: Sort by product name from A to Zalpha-desc: Sort by product name from Z to Aupdated-desc: Sort by update time from newest to oldestupdated-asc: Sort by update time from oldest to newestmanual: Sort by custom ordercreated-desc: Sort by creation time from newest to oldestcreated-asc: Sort by creation time from oldest to newestprice-asc: Sort by the lowest selling price of product variants in ascending orderprice-desc: Sort by the lowest selling price of product variants in descending orderbest-selling-last3days: Sort by sales volume in the last 3 days in descending orderbest-selling-last7days: Sort by sales volume in the last 7 days in descending orderbest-selling-last15days: Sort by sales volume in the last 15 days in descending orderbest-selling-last30days: Sort by sales volume in the last 30 days in descending orderbest-selling-last60days: Sort by sales volume in the last 60 days in descending orderbest-selling: Sort by sales volume in the last 90 days in descending orderadditional-purchase-rate-last3days: Sort by add-to-cart rate in the last 3 days in descending orderadditional-purchase-rate-last7days: Sort by add-to-cart rate in the last 7 days in descending orderadditional-purchase-rate-last15days: Sort by add-to-cart rate in the last 15 days in descending orderadditional-purchase-rate-last30days: Sort by add-to-cart rate in the last 30 days in descending orderadditional-purchase-rate-last60days: Sort by add-to-cart rate in the last 60 days in descending orderadditional-purchase-rate-last90days: Sort by add-to-cart rate in the last 90 days in descending orderconversion-rate-last3days: Sort by conversion rate in the last 3 days in descending orderconversion-rate-last7days: Sort by conversion rate in the last 7 days in descending orderconversion-rate-last15days: Sort by conversion rate in the last 15 days in descending orderconversion-rate-desc: Sort by conversion rate in the last 30 days in descending orderconversion-rate-last60days: Sort by conversion rate in the last 60 days in descending orderconversion-rate-last90days: Sort by conversion rate in the last 90 days in descending orderadditional-purchases-num-last3days: Sort by add-to-cart quantity in the last 3 days in descending orderadditional-purchases-num-last7days: Sort by add-to-cart quantity in the last 7 days in descending orderadditional-purchases-num-last15days: Sort by add-to-cart quantity in the last 15 days in descending orderadditional-purchases-num-last30days: Sort by add-to-cart quantity in the last 30 days in descending orderadditional-purchases-num-last60days: Sort by add-to-cart quantity in the last 60 days in descending orderadd-to-cart-desc: Sort by add-to-cart quantity in the last 90 days in descending orderviews-pv-last3days: Sort by page views in the last 3 days in descending orderviews-pv-last7days: Sort by page views in the last 7 days in descending orderviews-pv-last15days: Sort by page views in the last 15 days in descending orderviews-pv-last30days: Sort by page views in the last 30 days in descending orderviews-pv-last60days: Sort by page views in the last 60 days in descending orderview-desc: Sort by page views in the last 90 days in descending order
Status Codes
- 200
- 401
- 429
For the complete list of codes and messages, see Http status code.
Response Headers
traceId
A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
API Explorer
Debugger
Examples
Was this article helpful to you?